net.dontdrinkandroot.visualization.layout.wordcloud

## Class GlyphBoundWordCloud<T>

- java.lang.Object
- - net.dontdrinkandroot.visualization.layout.wordcloud.GlyphBoundWordCloud<T>

All Implemented Interfaces:
  Layout<T>

    public class GlyphBoundWordCloud<T>
    extends Object
    implements Layout<T>

### Nested Class Summary

Nested Classes
`protected class` `GlyphBoundWordCloud.ItemInfo`

### Constructor Summary

Constructors
Constructor and Description
`GlyphBoundWordCloud(Collection<T> items, org.apache.commons.collections15.Transformer<T,Double> sizeTransformer)`

### Method Summary

Methods
`Rectangle2D` `getBounds()`
`boolean` `isLayouted()`
`void` `layout()`
`void` `render(Graphics2D g2d)`
`void` `setTextTransformer(org.apache.commons.collections15.Transformer<T,String> textTransformer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GlyphBoundWordCloud

    public GlyphBoundWordCloud(Collection<T> items,
                       org.apache.commons.collections15.Transformer<T,Double> sizeTransformer)

### Method Detail

#### setTextTransformer

    public final void setTextTransformer(org.apache.commons.collections15.Transformer<T,String> textTransformer)

#### layout

    public void layout()

Specified by:
  `layout` in interface `Layout<T>`

#### render

    public void render(Graphics2D g2d)

Specified by:
  `render` in interface `Layout<T>`

#### getBounds

    public Rectangle2D getBounds()

Specified by:
  `getBounds` in interface `Layout<T>`

#### isLayouted

    public boolean isLayouted()

Specified by:
  `isLayouted` in interface `Layout<T>`